# Gst::MessageApplication Class Reference

An application message. More...

Inherits Gst::Message.

Collaboration diagram for Gst::MessageApplication:
[legend]

List of all members.

## Public Member Functions

| MessageApplication (GstMessage* message)

## Static Public Member Functions

static Glib::RefPtr< Gst::Message > | create (const Glib::RefPtr< Gst::Object >& src, Gst::Structure& structure)
| Create a new application-typed message.
static Glib::RefPtr< Gst::Message > | create (const Glib::RefPtr< Gst::Object >& src)
| Create a new application-typed message (no Gst::Structure is needed).

## Detailed Description

An application message.

See create() for more details.

## Constructor & Destructor Documentation

Gst::MessageApplication::MessageApplication | ( | GstMessage * | message | ) | `[explicit]`

## Member Function Documentation

static Glib::RefPtr<Gst::Message> Gst::MessageApplication::create | ( | const Glib::RefPtr< Gst::Object >& | src,
|  | Gst::Structure& | structure |
| ) |  |  | `[static]`

Create a new application-typed message.

GStreamer will never create these messages; they are a gift from us to you. Enjoy.

Parameters:

  | src | The object originating the message.
  | structure | The structure for the message. The structure will be copied.

Returns:
  The new application message. MT safe.

static Glib::RefPtr<Gst::Message> Gst::MessageApplication::create | ( | const Glib::RefPtr< Gst::Object >& | src | ) | `[static]`

Create a new application-typed message (no Gst::Structure is needed).

GStreamer will never create these messages; they are a gift from us to you. Enjoy.

Parameters:

  | src | The object originating the message.

Returns:
  The new application message. MT safe.

The documentation for this class was generated from the following file:

- gstreamermm/message.h